Bug 199837 - missing .pyc files after update via yum
missing .pyc files after update via yum
Product: Fedora
Classification: Fedora
Component: system-config-language (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Depends On:
  Show dependency treegraph
Reported: 2006-07-23 01:21 EDT by Jim Cornette
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-14 14:02:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jim Cornette 2006-07-23 01:21:41 EDT
Description of problem:
After upgrading from an installed package to a newer version of the package,
some .pyc files are missing when querying the rpm database. Previous bugs were
filed for other s-c-* packages. This package still exhibits the problem.
The problem seems to happen because some files that are already owned by the
package are rm *.pyc during the cleanup stage of rpm.

Version-Release number of selected component (if applicable):

How reproducible:
Update system via pup or yum. I use both depending upon package conflict conditions.

Steps to Reproduce:
1. Run update of yum or pup
2. rpm -qaV |grep missing >rpm-missing.txt as root
3. review output file
Actual results:

missing     /usr/share/system-config-language/language_backend.pyc
missing     /usr/share/system-config-language/language_gui.pyc
missing     /usr/share/system-config-language/language_tui.pyc
missing     /usr/share/system-config-language/system-config-language.pyc

Expected results:
Clean report from s-c-language

Additional info:
Refer to other s-c-* programs for similar failures
Comment 1 Paul Nasrat 2006-08-14 14:02:44 EDT
1.1.11-2 has the fixed scriptlet, sadly the *.pyc will be removed on the preun
of the older package so there isn't much we can do here.

Note You need to log in before you can comment on or make changes to this bug.